=== debian/control ===
Source: ros-one-moveit-core
Section: misc
Priority: optional
Maintainer: Dave Coleman <dave@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libassimp-dev, libboost-all-dev, libbullet-dev, libconsole-bridge-dev, libeigen3-dev, libfcl-dev, liboctomap-dev, liburdfdom-dev, liburdfdom-headers-dev, pkg-config, python3-dev, ros-one-angles, ros-one-catkin, ros-one-eigen-stl-containers, ros-one-geometric-shapes (>= 0.5.2), ros-one-geometry-msgs, ros-one-kdl-parser, ros-one-moveit-msgs, ros-one-octomap-msgs, ros-one-pluginlib, ros-one-pybind11-catkin, ros-one-random-numbers, ros-one-rosconsole, ros-one-roslib, ros-one-rostime, ros-one-ruckig, ros-one-sensor-msgs, ros-one-shape-msgs, ros-one-srdfdom, ros-one-std-msgs, ros-one-tf2-eigen, ros-one-tf2-geometry-msgs, ros-one-trajectory-msgs, ros-one-urdf, ros-one-visualization-msgs, ros-one-xmlrpcpp
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-one-moveit-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libassimp-dev, libboost-all-dev, libbullet-dev, libconsole-bridge-dev, libeigen3-dev, libfcl-dev, liboctomap-dev, liburdfdom-dev, liburdfdom-headers-dev, python3-dev, ros-one-eigen-stl-containers, ros-one-geometric-shapes (>= 0.5.2), ros-one-geometry-msgs, ros-one-kdl-parser, ros-one-moveit-msgs, ros-one-octomap-msgs, ros-one-pluginlib, ros-one-pybind11-catkin, ros-one-random-numbers, ros-one-rosconsole, ros-one-roslib, ros-one-rostime, ros-one-ruckig, ros-one-sensor-msgs, ros-one-shape-msgs, ros-one-srdfdom, ros-one-std-msgs, ros-one-tf2-eigen, ros-one-tf2-geometry-msgs, ros-one-trajectory-msgs, ros-one-urdf, ros-one-visualization-msgs, ros-one-xmlrpcpp
Description: Core libraries used by MoveIt
