## ros-one-moveit-core 1.1.16-49jammy.20251208.0052

=== debian/changelog ===
ros-one-moveit-core (1.1.16-49jammy.20251208.0052) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Mon, 08 Dec 2025 00:52:54 +0000
