## ros-one-moveit-core 1.1.16-49noble.20251208.1139

=== debian/changelog ===
ros-one-moveit-core (1.1.16-49noble.20251208.1139) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Mon, 08 Dec 2025 11:39:48 +0000

ros-one-moveit-core (1.1.16-0noble) noble; urgency=high

  * Fix Cartesian interpolation: for multiple waypoints continue from latest RobotState (#3652 <https://github.com/ros-planning/moveit/issues/3652>)
  * Contributors: Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-core (1.1.15-0noble) noble; urgency=high

  * Disable ruckig's webclient support in MoveIt build (#3636 <https://github.com/ros-planning/moveit/issues/3636>)
  * New implementation for computeCartesianPath (#3618 <https://github.com/ros-planning/moveit/issues/3618>)
  * Optimize MOVE_SHAPE operations for FCL (#3601 <https://github.com/ros-planning/moveit/issues/3601>)
  * Provide violated bounds for a JointConstraint
  * PSM: Correctly handle full planning scene message (#3610 <https://github.com/ros-planning/moveit/issues/3610>)
  * Contributors: Captain Yoshi, Michael Görner, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-core (1.1.14-0noble) noble; urgency=high

  * Allow moving of all shapes of an object in one go (#3599 <https://github.com/ros-planning/moveit/issues/3599>)
  * Add benchmark dependency in moveit_core's package.xml
  * Benchmarking with Google benchmark (#3565 <https://github.com/ros-planning/moveit/issues/3565>)
  * Cleanup const-ref arguments to double+int (#3560 <https://github.com/ros-planning/moveit/issues/3560>)
  * Use min instead of multiplication to combine relative and absolute check (#3556 <https://github.com/ros-planning/moveit/issues/3556>)
  * Find pybind11_catkin early (#3552 <https://github.com/ros-planning/moveit/issues/3552>)
  * Allow links with slashes again (#3539 <https://github.com/ros-planning/moveit/issues/3539>)
  * Support ompl::ompl cmake target (#3549 <https://github.com/ros-planning/moveit/issues/3549>)
  * RobotState: Initialize joint transforms of fixed joints (#3541 <https://github.com/ros-planning/moveit/issues/3541>)
  * Pass more distance information out from FCL collision check (#3531 <https://github.com/ros-planning/moveit/issues/3531>)
  * Fix segfault when planning with differential drive planar joints (#3457 <https://github.com/ros-planning/moveit/issues/3457>)
  * Consider distance field padding for spheres (#3506 <https://github.com/ros-planning/moveit/issues/3506>)
  * Remove unused variables (#3507 <https://github.com/ros-planning/moveit/issues/3507>)
  * Gracefully handle zero-size bodies in determineCollisionSpheres() (#3504 <https://github.com/ros-planning/moveit/issues/3504>)
  * Use new API for providing RNG to make some test results more consistant (#3501 <https://github.com/ros-planning/moveit/issues/3501>)
  * More URDF validation (#3499 <https://github.com/ros-planning/moveit/issues/3499>)
  * PlanningRequestAdapterChain: Fix added_path_index vector (#3464 <https://github.com/ros-planning/moveit/issues/3464>)
  * Constrain orocos_kdl to ROS melodic
  * moveit_core: make angles a build_depend rather than a test_depend (#3483 <https://github.com/ros-planning/moveit/issues/3483>)
  * Contributors: Ben Wolsieffer, Captain Yoshi, Hugal31, Lucas Walter, Michael Görner, Robert Haschke, SchneiderC1, Scott Chow, Simon Schmeisser, Stephanie Eng

 -- Dave Coleman <dave@picknik.ai>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-core (1.1.13-0noble) noble; urgency=high

  * Avoid global transforms in ``getRigidlyConnectedParentLinkModel()`` (#3470 <https://github.com/ros-planning/moveit/issues/3470>)
    
      * RobotState::setFromIK: ensure up-to-date state before calling IK solver
      * Remove unimplemented RobotState::getSubframeTransformInLinkFrame()
    
  * Add missing include (#3451 <https://github.com/ros-planning/moveit/issues/3451>)
  * Fix Jacobian calculation for planar joint (#3439 <https://github.com/ros-planning/moveit/issues/3439>)
  * Silent "empty quaternion" warning from poseMsgToEigen() (#3435 <https://github.com/ros-planning/moveit/issues/3435>)
  * Contributors: Cong Liu, Ivo Vatavuk, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-core (1.1.12-0noble) noble; urgency=high

  * Generalize RobotState::setFromIK() (https://github.com/ros-planning/moveit/issues/3388 <https://github.com/ros-planning/moveit/issues/3388>)
  * Time parameterization with torque limits, based on TOTG (#3412 <https://github.com/ros-planning/moveit/issues/3412>, #3427 <https://github.com/ros-planning/moveit/issues/3427>)
  * Make XmlRpcValue arguments const references (#3419 <https://github.com/ros-planning/moveit/issues/3419>)
  * Differential drive for planar Joints (#3359 <https://github.com/ros-planning/moveit/issues/3359>)
  * Fix deprecation warnings in Debian bookworm (#3397 <https://github.com/ros-planning/moveit/issues/3397>)
  * Add JointModel::satisfiesAccelerationBounds() (#3396 <https://github.com/ros-planning/moveit/issues/3396>)
  * Add CSM tests (#3395 <https://github.com/ros-planning/moveit/issues/3395>)
  * Fix TOTG: could return vels/accels greater than the limits (#3394 <https://github.com/ros-planning/moveit/issues/3394>)
  * Propagate "clear octomap" actions to monitoring planning scenes (#3134 <https://github.com/ros-planning/moveit/issues/3134>)
  * Fix (some) doxygen warnings (#3315 <https://github.com/ros-planning/moveit/issues/3315>)
  * Switch master build to C++17 (#3313 <https://github.com/ros-planning/moveit/issues/3313>)
  * Drop lib/ prefix from plugin paths (#3305 <https://github.com/ros-planning/moveit/issues/3305>)
  * Improve Ruckig time parameterization
    
      * Check for a Ruckig jerk limit parameter (#3375 <https://github.com/ros-planning/moveit/issues/3375>)
      * Optionally mitigate Ruckig overshoot
      * Reduce number of duration extensions

