## ros-one-moveit-core 1.1.16-50jammy.20260128.2123

=== debian/changelog ===
ros-one-moveit-core (1.1.16-50jammy.20260128.2123) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Wed, 28 Jan 2026 21:23:38 +0000
